package com.realnet.x2-b.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.x2-b.Entity.X1;
import com.realnet.x2-b.Services.X1Service ;






@RequestMapping(value = "/token/X1")
 @CrossOrigin("*") 
@RestController
public class tokenFree_X1Controller {
	@Autowired
	private X1Service Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/X1")
		  public X1 Savedata(@RequestBody X1 data) {
		X1 save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/X1/{id}")
	public  X1 update(@RequestBody X1 data,@PathVariable Integer id ) {
		X1 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/X1/getall/page")
	public Page<X1> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<X1> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/X1")
	public List<X1> getdetails() {
		 List<X1> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/X1")
	public List<X1> getallwioutsec() {
		 List<X1> get = Service.getdetails();		
		return get;
}
@GetMapping("/X1/{id}")
	public  X1  getdetailsbyId(@PathVariable Integer id ) {
		X1  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/X1/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}